package _VisualDVM.Repository.Server;
import java.util.Calendar;
public class BackUpsChecker extends RepositoryServerClient {
    RepositoryServer server;
    public BackUpsChecker(RepositoryServer server_in) {
        server = server_in;
    }
    @Override
    protected RepositoryServer getServer() {
        return server;
    }
    @Override
    protected int getSleepMillis() {
        return 60000;
    }
    @Override
    protected void perform() throws Exception {
        Calendar rightNow = Calendar.getInstance();
        int hour = rightNow.get(Calendar.HOUR_OF_DAY);
        int minute = rightNow.get(Calendar.MINUTE);
        if ((hour == 1) && (minute == 45)) {
            ServerCommand(ServerCode.CreateBackUp, false);
        }
    }
}
